<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output method="xhtml" xpath-default-namespace="http://www.w3.org/1999/xhtml" indent="yes" omit-xml-declaration="yes"/>
<xsl:template match="/">
<xsl:text disable-output-escaping='yes'>&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"&gt;</xsl:text>
<html xsl:version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="X-UA-Compatible" content="IE=8" />
<title>OZNRO83v19 - Oznámenie regulovanej osoby podľa paragrafu 8 ods. 3 zákona č. 235/2012 Z.z.</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="language" content="sk-SK" />
<style type="text/css">
body { 
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	background-color:transparent;
	color: #646464;
}
.ui-tabs {
	padding: .2em;
	position: relative;
	zoom: 1;
}
.ui-widget-content {
	background: #f9f9f9;
	border: 2px solid #d4d4d4;
	color: #3e3e3e;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}
.ui-widget-header {					 
	font-weight: 400;	
	border: 1px solid #5f5247;
	background-color: #5f5247;
	color: #fff;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}								
.clear { clear: both; }
.layoutMain {
	margin: 0px auto;
	padding: 5px 5px 5px 5px;	
}				
.layoutRow { margin-bottom: 5px; }				
.caption { /*width: 100%; border-bottom: solid 1px black;*/ }
.nocaption > .caption { border: 0px !important; }
.nocaption > .caption span {
	background: none !important;
	display: none;
} 
.caption .title { padding-left: 5px; }
.headercorrection {	
	margin: 0px;
}				
.labelVis {
	float: left;
	font-weight: bold;
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	line-height: 25px;
	margin: 0px 18px 0px 0px;
	padding: 0;
	width: 190px;
}
.contentVis {    	     
	float: left;	
	line-height: 25px;
	margin: 0px;
	padding: 0px;
	vertical-align: top;			
}
.wordwrap { 
   white-space: pre-wrap;      
   white-space: -moz-pre-wrap; 
   white-space: -pre-wrap;     
   white-space: -o-pre-wrap;   
   word-wrap: break-word;      
}				
</style>
</head>
<body>
<div id="main" class="layoutMain">
<xsl:for-each select="/OZNRO83v19">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Oznámenie regulovanej osoby podľa § 8 ods. 3 zákona č. 235/2012 Z. z. o osobitnom odvode z podnikania v regulovaných odvetviach a o zmene a doplnení niektorých zákonov v znení neskorších predpisov (ďalej len „zákon č. 235/2012 Z. z.“)</div>
</div>
<xsl:if test="/OZNRO83v19/sekciaNazov/text()"><div><label class="labelVis">sekciaNazov: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaNazov"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZNRO83v19/sekciaNazovPodlaPar/text()"><div><label class="labelVis">sekciaNazovPodlaPar: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaNazovPodlaPar"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/OZNRO83v19/sekciaDic">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">DIC/ICO</div>
</div>
<xsl:if test="/OZNRO83v19/sekciaDic/tbDic/text()"><div><label class="labelVis">Daňové identifikačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./tbDic"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZNRO83v19/sekciaDic/tbIco/text()"><div><label class="labelVis">IČO: </label><span class="contentVis wordwrap"><xsl:value-of select="./tbIco"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/OZNRO83v19/sekciaRegOsoby">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Identifikačné údaje regulovanej osoby</div>
</div>
<xsl:for-each select="/OZNRO83v19/sekciaRegOsoby/sekciaRegulFO">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Fyzická osoba</div>
</div>
<xsl:for-each select="/OZNRO83v19/sekciaRegOsoby/sekciaRegulFO/sekciaRegulMeno">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Meno</div>
</div>
<xsl:if test="/OZNRO83v19/sekciaRegOsoby/sekciaRegulFO/sekciaRegulMeno/tbPriezvisko/text()"><div><label class="labelVis">Priezvisko: </label><span class="contentVis wordwrap"><xsl:value-of select="./tbPriezvisko"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZNRO83v19/sekciaRegOsoby/sekciaRegulFO/sekciaRegulMeno/tbMeno/text()"><div><label class="labelVis">Meno: </label><span class="contentVis wordwrap"><xsl:value-of select="./tbMeno"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZNRO83v19/sekciaRegOsoby/sekciaRegulFO/sekciaRegulMeno/tbTitulPred/text()"><div><label class="labelVis">Titul (pred menom): </label><span class="contentVis wordwrap"><xsl:value-of select="./tbTitulPred"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZNRO83v19/sekciaRegOsoby/sekciaRegulFO/sekciaRegulMeno/tbTitulZa/text()"><div><label class="labelVis">Titul (za priezviskom): </label><span class="contentVis wordwrap"><xsl:value-of select="./tbTitulZa"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/OZNRO83v19/sekciaRegOsoby/sekciaRegulFO/sekciaRegulNarodenie">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Dátum narodenia</div>
</div>
<xsl:if test="/OZNRO83v19/sekciaRegOsoby/sekciaRegulFO/sekciaRegulNarodenie/dtpDatNarodenia/text()"><div><label class="labelVis">Dátum narodenia: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./dtpDatNarodenia" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/OZNRO83v19/sekciaRegOsoby/sekciaRegulPO">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Právnická osoba</div>
</div>
<xsl:if test="/OZNRO83v19/sekciaRegOsoby/sekciaRegulPO/taObchMeno/text()"><div><label class="labelVis">Obchodné meno alebo názov: </label><span class="contentVis wordwrap"><xsl:value-of select="./taObchMeno"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/OZNRO83v19/sekciaRegOsoby/sekciaRegulAdresa">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Adresa trvalého pobytu (fyzická osoba) / Adresa sídla (právnická osoba)</div>
</div>
<xsl:for-each select="/OZNRO83v19/sekciaRegOsoby/sekciaRegulAdresa/sekciaDrzitelAdresa1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Ulica / Číslo</div>
</div>
<xsl:if test="/OZNRO83v19/sekciaRegOsoby/sekciaRegulAdresa/sekciaDrzitelAdresa1/tbUlica/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./tbUlica"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZNRO83v19/sekciaRegOsoby/sekciaRegulAdresa/sekciaDrzitelAdresa1/tdCislo/text()"><div><label class="labelVis">Súpisné / orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./tdCislo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/OZNRO83v19/sekciaRegOsoby/sekciaRegulAdresa/sekciaDrzitelAdresa2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">PSC / Obec</div>
</div>
<xsl:if test="/OZNRO83v19/sekciaRegOsoby/sekciaRegulAdresa/sekciaDrzitelAdresa2/tbPSC/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./tbPSC"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZNRO83v19/sekciaRegOsoby/sekciaRegulAdresa/sekciaDrzitelAdresa2/tbObec/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./tbObec"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/OZNRO83v19/sekciaRegOsoby/sekciaRegulAdresaMP">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Miesto podnikania fyzickej osoby, ak je odlišné od trvalého pobytu</div>
</div>
<xsl:for-each select="/OZNRO83v19/sekciaRegOsoby/sekciaRegulAdresaMP/sekciaDrzitelAdresa1MP">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Ulica / Číslo</div>
</div>
<xsl:if test="/OZNRO83v19/sekciaRegOsoby/sekciaRegulAdresaMP/sekciaDrzitelAdresa1MP/tbUlicaMP/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./tbUlicaMP"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZNRO83v19/sekciaRegOsoby/sekciaRegulAdresaMP/sekciaDrzitelAdresa1MP/tdCisloMP/text()"><div><label class="labelVis">Súpisné / orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./tdCisloMP"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/OZNRO83v19/sekciaRegOsoby/sekciaRegulAdresaMP/sekciaDrzitelAdresa2MP">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">PSC / Obec</div>
</div>
<xsl:if test="/OZNRO83v19/sekciaRegOsoby/sekciaRegulAdresaMP/sekciaDrzitelAdresa2MP/tbPSCMP/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./tbPSCMP"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZNRO83v19/sekciaRegOsoby/sekciaRegulAdresaMP/sekciaDrzitelAdresa2MP/tbObecMP/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./tbObecMP"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/OZNRO83v19/sekciaHospodarenie">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Hospodárenie</div>
</div>
<xsl:for-each select="/OZNRO83v19/sekciaHospodarenie/sekciaDicZdObdobie">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Výsledok hospodárenia / za účtovné obdobie</div>
</div>
<xsl:if test="/OZNRO83v19/sekciaHospodarenie/sekciaDicZdObdobie/tbHospodarenie/text()"><div><label class="labelVis">Výsledok hospodárenia: </label><span class="contentVis wordwrap"><xsl:value-of select="./tbHospodarenie"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZNRO83v19/sekciaHospodarenie/sekciaDicZdObdobie/dtpUctObdobieOd/text()"><div><label class="labelVis">od: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./dtpUctObdobieOd" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZNRO83v19/sekciaHospodarenie/sekciaDicZdObdobie/dtpUctObdobieDo/text()"><div><label class="labelVis">do: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./dtpUctObdobieDo" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/OZNRO83v19/sekciaHospodarenie/sekciaPrijemcaSuma">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Výška poskytnutého / Dátum</div>
</div>
<xsl:if test="/OZNRO83v19/sekciaHospodarenie/sekciaPrijemcaSuma/tbKoeficient/text()"><div><label class="labelVis">Koeficient: </label><span class="contentVis wordwrap"><xsl:value-of select="./tbKoeficient"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZNRO83v19/sekciaHospodarenie/sekciaPrijemcaSuma/tbVyska/text()"><div><label class="labelVis">Výška osobitného odvodu z podnikania v regulovaných odvetviach: </label><span class="contentVis wordwrap"><xsl:value-of select="./tbVyska"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/OZNRO83v19/sekciaVypracoval">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Vypracoval</div>
</div>
<xsl:for-each select="/OZNRO83v19/sekciaVypracoval/sekciaVypracovalDna">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Vypracoval</div>
</div>
<xsl:if test="/OZNRO83v19/sekciaVypracoval/sekciaVypracovalDna/tbVypracoval/text()"><div><label class="labelVis">Vypracoval: </label><span class="contentVis wordwrap"><xsl:value-of select="./tbVypracoval"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZNRO83v19/sekciaVypracoval/sekciaVypracovalDna/tbDna/text()"><div><label class="labelVis">Dňa: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./tbDna" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZNRO83v19/sekciaVypracoval/sekciaVypracovalDna/tbTelefon/text()"><div><label class="labelVis">Telefónne číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./tbTelefon"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/OZNRO83v19/sekciaVypracoval/sekciaVyhlasujem/text()"><div><label class="labelVis">sekciaVyhlasujem: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaVyhlasujem"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/OZNRO83v19/sekciaVysvetlivky/text()"><div><label class="labelVis">sekciaVysvetlivky: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaVysvetlivky"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</body>
</html>
</xsl:template>
<xsl:template name="formatToSkDate">
<xsl:param name="date" />
<xsl:value-of select="concat(substring($date, 9, 2), '.', substring($date, 6, 2), '.', substring($date, 1, 4))" />
</xsl:template>
</xsl:stylesheet>

